[arch-commits] Commit in python-ukpostcodeparser/repos/community-any (2 files)

Felix Yan felixonmars at archlinux.org
Sun Nov 26 05:34:02 UTC 2017


    Date: Sunday, November 26, 2017 @ 05:34:02
  Author: felixonmars
Revision: 268570

archrelease: copy trunk to community-any

Added:
  python-ukpostcodeparser/repos/community-any/PKGBUILD
    (from rev 268569, python-ukpostcodeparser/trunk/PKGBUILD)
Deleted:
  python-ukpostcodeparser/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  103 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 51 insertions(+), 52 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2017-11-26 05:33:39 UTC (rev 268569)
+++ PKGBUILD	2017-11-26 05:34:02 UTC (rev 268570)
@@ -1,52 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgbase=python-ukpostcodeparser
-pkgname=('python-ukpostcodeparser' 'python2-ukpostcodeparser')
-pkgver=1.1.1
-_commit=dae25cd340ec69b4e9e97ed0b979883ea5c51cf6
-pkgrel=1
-pkgdesc="UK Postcode parser"
-arch=('any')
-license=('MIT')
-url="https://github.com/hamstah/ukpostcodeparser"
-makedepends=('python-setuptools' 'python2-setuptools')
-source=("$pkgbase-$_commit.tar.gz::https://github.com/hamstah/ukpostcodeparser/archive/$_commit.tar.gz")
-sha512sums=('e9b797548a064c295ef94afba2df88a050f3bf27f78164a889f0a7ba8ea22dade849a13e8b6fe663386e7c83aa78390ca51a5354b524cebb68d99254080d4a5c')
-
-prepare() {
-  cp -a ukpostcodeparser-$_commit{,-py2}
-}
-
-build() {
-  cd "$srcdir"/ukpostcodeparser-$_commit
-  python setup.py build
-
-  cd "$srcdir"/ukpostcodeparser-$_commit-py2
-  python2 setup.py build
-}
-
-check() {
-  # Expected failure: https://github.com/hamstah/ukpostcodeparser/issues/8
-
-  cd "$srcdir"/ukpostcodeparser-$_commit
-  python -m unittest discover -s ukpostcodeparser/test -p '*.py' || warning "Tests failed"
-
-  cd "$srcdir"/ukpostcodeparser-$_commit-py2
-  python2 -m unittest discover -s ukpostcodeparser/test -p '*.py' || warning "Tests failed"
-}
-
-package_python-ukpostcodeparser() {
-  depends=('python')
-
-  cd ukpostcodeparser-$_commit
-  python setup.py install --root="$pkgdir" --optimize=1
-}
-
-package_python2-ukpostcodeparser() {
-  depends=('python2')
-
-  cd ukpostcodeparser-$_commit-py2
-  python2 setup.py install --root="$pkgdir" --optimize=1
-}
-

Copied: python-ukpostcodeparser/repos/community-any/PKGBUILD (from rev 268569, python-ukpostcodeparser/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2017-11-26 05:34:02 UTC (rev 268570)
@@ -0,0 +1,51 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-ukpostcodeparser
+pkgname=('python-ukpostcodeparser' 'python2-ukpostcodeparser')
+pkgver=1.1.2
+pkgrel=1
+pkgdesc="UK Postcode parser"
+arch=('any')
+license=('MIT')
+url="https://github.com/hamstah/ukpostcodeparser"
+makedepends=('python-setuptools' 'python2-setuptools')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/hamstah/ukpostcodeparser/archive/v$pkgver.tar.gz")
+sha512sums=('8113522b728c095f937a9f53f21c369130e3e63c4fc3546dbea4ad1c53648742fb0e766b1254c76ee65d69dec585f1a90caa7d39ca540de1765ff5f989a702de')
+
+prepare() {
+  cp -a ukpostcodeparser-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/ukpostcodeparser-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/ukpostcodeparser-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  # Expected failure: https://github.com/hamstah/ukpostcodeparser/issues/8
+
+  cd "$srcdir"/ukpostcodeparser-$pkgver
+  python -m unittest discover -s ukpostcodeparser/test -p '*.py' || warning "Tests failed"
+
+  cd "$srcdir"/ukpostcodeparser-$pkgver-py2
+  python2 -m unittest discover -s ukpostcodeparser/test -p '*.py' || warning "Tests failed"
+}
+
+package_python-ukpostcodeparser() {
+  depends=('python')
+
+  cd ukpostcodeparser-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}
+
+package_python2-ukpostcodeparser() {
+  depends=('python2')
+
+  cd ukpostcodeparser-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+}
+


More information about the arch-commits mailing list